View Issue Details

IDProjectCategoryView StatusLast Update
0003071Part[FreeCAD] Featurepublic2017-09-30 20:25
Reporterfabien.cherblancAssigned Towmayer 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntuOS Version16.04
Product Version[FreeCAD] 0.17 
Target Version[FreeCAD] 0.17Fixed in Version[FreeCAD] 0.17 
Summary0003071: List of vertexes returned by wire.OrederedVertexes missing last vertext in the list
DescriptionThe list of vertexes returned by wire.OrderedVertexes if ok if the wire is closed. If the wire is not closed, the last vertexes is missing in the list.
Steps To ReproduceA python test file is attached.
Tagspython

Activities

fabien.cherblanc

2017-06-05 13:27

reporter  

test.brep (2,451 bytes)
test.py (250 bytes)
#!/bin/bash

import FreeCAD as F
import Part as FP

wire = FP.read("test.brep").Wires[0]
print "Number of Vertexes in the wire                 = ",len(wire.Vertexes)
print "Number of Vertexes returned by OrderedVertexes = ",len(wire.OrderedVertexes)
test.py (250 bytes)

Kunda1

2017-06-06 18:34

manager   ~0009293

@chrisb please weigh in on this ticket? Thanks!

Kunda1

2017-09-30 15:57

manager   ~0010221

Forum thread: https://forum.freecadweb.org/viewtopic.php?f=22&t=24696

wmayer

2017-09-30 20:25

administrator   ~0010223

https://github.com/FreeCAD/FreeCAD/commit/62d98deccf6572eb5c6c540d64fd402817edfc6d

Issue History

Date Modified Username Field Change
2017-06-05 13:27 fabien.cherblanc New Issue
2017-06-05 13:27 fabien.cherblanc File Added: test.brep
2017-06-05 13:27 fabien.cherblanc File Added: test.py
2017-06-06 18:34 Kunda1 Note Added: 0009293
2017-09-24 22:06 wmayer Target Version => 0.17
2017-09-30 15:53 Kunda1 Summary List of vertexes retruned by wire.OrederedVertexes => List of vertexes returned by wire.OrederedVertexes missing last vertext in the list
2017-09-30 15:57 Kunda1 Note Added: 0010221
2017-09-30 15:58 Kunda1 Tag Attached: python
2017-09-30 20:25 wmayer Assigned To => wmayer
2017-09-30 20:25 wmayer Status new => closed
2017-09-30 20:25 wmayer Resolution open => fixed
2017-09-30 20:25 wmayer Fixed in Version => 0.17
2017-09-30 20:25 wmayer Note Added: 0010223